# Projet Usine Marémotrice

Ce projet a pour but de modéliser et simuler le fonctionnement de l'usine marémotrice de La Rance. 

## Auteurs 

Hugo HARDUIN, Thomas DUPUY DE LA GRAND RIVE, Florentin RABIT

## Contenu du Projet

### Dossiers
- *composants/* : Contient les sous-modèles ou modules nécessaires à la simulation.
- *interfaces/* : Inclut les interfaces ou outils de visualisation.

### Fichiers principaux
- *La_Rance.mo* : Modèle du bassin de La Rance.
- *Mer.mo* : Modèle de la mer.
- *Usine_projet.mo* : Modèle principal représentant l'usine marémotrice. Il est à l'interface entre la mer et le bassin de La Rance.

## Objectifs

- Simuler la production d'énergie d'une usine marémotrice.
- Analyser l'impact des paramètres environnementaux sur la production.
- Proposer des solutions pour optimiser le rendement énergétique.

## Prérequis

- *OpenModelica* : Pour exécuter les modèles .mo.
- *Logiciel de visualisation d'images* : Pour afficher les ressources visuelles.

## Utilisation

- Aller dans le dossier projet_usine_maremotrice
- Ouvrir package.mo dans OpenModelica
- Lancer la simulation via le fichier Usine_projet.mo
- Dans l'onglet simulation, selectionner les paramètres que vous souhaitez observer :
    * Energie générée : Turbine -> energie
    * Puissance générée : Turbine -> puissance
    * Hauteur du bassin : La_Rance -> port_rance -> h
    * Hauteur de la mer : Mer -> port_mer -> h