within projet_usine_maremotrice.composants;

model Decision_Usine
  import Modelica.Units.SI.Height;
  
  parameter Height param_hauteur = 3 "Différence de hauteur à partir duquel les vannes vident la Rance";
  // Hauteur de la mer
  Modelica.Blocks.Interfaces.RealInput h_mer "Hauteur de la mer" annotation(
    Placement(transformation(origin = {-106, -58}, extent = {{-20, -20}, {20, 20}}), iconTransformation(origin = {-94, -68}, extent = {{-20, -20}, {20, 20}})));
    // Hauteur de la Rance
  Modelica.Blocks.Interfaces.RealInput h_rance "Hauteur de La Rance" annotation(
    Placement(transformation(origin = {-104, 56}, extent = {{-20, -20}, {20, 20}}), iconTransformation(origin = {-94, 60}, extent = {{-20, -20}, {20, 20}})));
  Modelica.Blocks.Interfaces.RealOutput y_turbine "Décision pour les turbines" annotation(
    Placement(transformation(origin = {106, 20}, extent = {{-10, -10}, {10, 10}}), iconTransformation(origin = {106, 34}, extent = {{-10, -10}, {10, 10}})));
  Modelica.Blocks.Interfaces.RealOutput y_vanne "Décision pour les vannes" annotation(
    Placement(transformation(origin = {108, -24}, extent = {{-10, -10}, {10, 10}}), 
    iconTransformation(origin = {104, -28}, extent = {{-10, -10}, {10, 10}})));

  Real der_h_mer "dérivé de h_mer";
  
equation

  der_h_mer = der(h_mer);
  // Décision basée sur la comparaison des hauteurs
  y_turbine = - 6.6e3 * smooth(1, noEvent(if (h_rance > 2 + h_mer and h_rance>0.5) then 1 else 0)) + 3e3 * smooth(1, noEvent(if (h_mer > 1.5 + h_rance and h_mer > 0.5) then 1 else 0)) + 3e3 * smooth(1, noEvent(if (h_mer > 2 + h_rance and h_mer > 0.5) then 1 else 0));
  y_vanne = 9.6e3 * smooth(1, noEvent(if h_mer > h_rance then 1 else 0));


annotation(
    Icon(graphics = {Bitmap(extent = {{-100, -100}, {100, 100}}, fileName = "modelica://projet_usine_maremotrice/composants/décision.jpg")}),
    uses(Modelica(version = "4.0.0")));

end Decision_Usine;
