within projet_usine_maremotrice.composants;

model Vannes
  import Modelica.Units.SI.VolumeFlowRate;
  import Modelica.Constants.g; 
// Accélération gravitationnelle (9.81 m/s²)
  // Paramètres
  parameter Real facteur_ouverture = 1 "Facteur de modulation du flux (entre 0 et 1)";
  // Ports
  interfaces.port_eau mer_vannes "Port hydraulique pour connecter les vannes" annotation(
    Placement(transformation(origin = {-88, 0}, extent = {{-10, -10}, {10, 10}}), 
    iconTransformation(origin = {-100, 0}, extent = {{-10, -10}, {10, 10}})));
  Modelica.Blocks.Interfaces.RealInput q_impose_vannes annotation(
    Placement(transformation(origin = {-98, 56}, extent = {{-20, -20}, {20, 20}}), iconTransformation(origin = {-88, 68}, extent = {{-20, -20}, {20, 20}})));
  interfaces.port_eau rance_vannes annotation(
    Placement(transformation(origin = {88, 0}, extent = {{-10, -10}, {10, 10}}), iconTransformation(origin = {100, 0}, extent = {{-10, -10}, {10, 10}})));
equation
// Flux hydraulique propagé au port connecté

  rance_vannes.q_eau = - q_impose_vannes;
  mer_vannes.q_eau = q_impose_vannes;
  
 
annotation(
    Icon(graphics = {Bitmap(extent = {{-100, -100}, {100, 100}}, fileName = "modelica://projet_usine_maremotrice/composants/vannes.jpg")}),
    uses(Modelica(version = "4.0.0")));
end Vannes;
