within projet_usine_maremotrice.interfaces;

model Capteur
  Modelica.Blocks.Interfaces.RealOutput y "Sortie réelle représentant la hauteur hydraulique" annotation(
    Placement(transformation(origin = {106, 0}, extent = {{-10, -10}, {10, 10}}), 
    iconTransformation(origin = {106, 0}, extent = {{-10, -10}, {10, 10}})));
  
  port_eau port_capteur annotation(
    Placement(transformation(origin = {-98, 2}, extent = {{-10, -10}, {10, 10}}), 
    iconTransformation(origin = {-102, 2}, extent = {{-10, -10}, {10, 10}})));

equation
  // Pas de flux dans le capteur
  port_capteur.q_eau = 0;

  // La sortie correspond à la hauteur hydraulique
  y = port_capteur.h;

annotation(
    Icon(graphics = {Bitmap(extent = {{-100, -100}, {100, 100}}, fileName = "modelica://projet_usine_maremotrice/interfaces/capteur.jpg")}),
    uses(Modelica(version = "4.0.0")));
end Capteur;
